

#include "MCP9600.h"
#include "picture.h"
#include "tft_resources.h"
#include "THERMO_Routines.h"
char tk_status;
char txt[10];
char lab1[10];
char old_txt[10];
char Temp_Data_Ready;

void updateLabel(char *newText, int x, int y, char* lbl)
{
  TFT_Set_Font(&Tahoma52x52_Bold, CL_WHITE, FO_HORIZONTAL);
  TFT_Write_Text(lbl, x, y);
  strcpy(lbl, newText);
  TFT_Set_Font(&Tahoma52x52_Bold, CL_BLACK, FO_HORIZONTAL);
  TFT_Write_Text(lbl, x, y);
}

void main()
{
   char res;
  display_init();
  TFT_Image(20, 82, Thermometer_bmp, 1);

  I2C2_Init( 100000 );
  Delay_ms(200);

  while(1){
         tk_status = Read_MCP9600_Status();
         Temp_Data_Ready = ( tk_status & 0x40 );

         if (Temp_Data_Ready)
         {
              sprintf(txt, "%2.2fC", Read_Temperature());
              res = strcmp(txt,old_txt);
              if(res != 0)
              {
                  updateLabel(txt, 135, 90, lab1);
                  strcpy(old_txt,txt);
              }
         }
         Delay_ms(500);
  }
}